package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class TeacherQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "科目编号")
    private Integer subjectId;

    @ApiModelProperty(value = "机构编号")
    private String organId;

    @ApiModelProperty(value = "教师工作性质")
    private String jobNature;

    @ApiModelProperty(value = "是否试用期")
    private String isProbationPeriod;

    @ApiModelProperty(value = "账号状态")
    private String lockFlag;

    @ApiModelProperty(value = "1内2外")
    private Integer tenantId;
    
    @ApiModelProperty(value = "是否支持额外陪练课授课")
    private Boolean isSupportExtraPracticeLesson;

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getJobNature() {
        return jobNature;
    }

    public void setJobNature(String jobNature) {
        this.jobNature = jobNature;
    }

    public String getIsProbationPeriod() {
        return isProbationPeriod;
    }

    public void setIsProbationPeriod(String isProbationPeriod) {
        this.isProbationPeriod = isProbationPeriod;
    }

    public String getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

	public Boolean getIsSupportExtraPracticeLesson() {
		return isSupportExtraPracticeLesson;
	}

	public void setIsSupportExtraPracticeLesson(Boolean isSupportExtraPracticeLesson) {
		this.isSupportExtraPracticeLesson = isSupportExtraPracticeLesson;
	}
}
